#
# spec file for package CuraEngine
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cura-engine
Version:        3.3.0
Release:        0
Summary:        3D printer control software
License:        LGPL-3.0
Group:          Hardware/Printing
Url:            http://github.com/Ultimaker/CuraEngine
Source0:        https://github.com/Ultimaker/CuraEngine/archive/%{version}/CuraEngine-%{version}.tar.xz
Source1:        CuraEngine.1
# On TW/Factory or Leap/SLE 15 use latest gcc, gcc6 otherwise
%if 0%{?suse_version} >= 1500
BuildRequires:  gcc-c++ >= 5
%else
BuildRequires:  gcc6-c++
%endif
BuildRequires:  cmake
BuildRequires:  libArcus-devel

%description
CuraEngine is the a powerful, fast and robust engine for processing 3D models
into 3D printing instruction for Ultimaker and other GCode based 3D printers.
It is part of the larger open source project called "Cura".

%prep
%setup -q -n CuraEngine-%version

%build
%if 0%{?suse_version} < 1500
export CC=gcc-6
export CXX=g++-6
%endif
# make sure lib_CuraEngine is statically build and linked
%cmake -DCMAKE_POSITION_INDEPENDENT_CODE="true" -DBUILD_SHARED_LIBS="false"
%make_jobs

%install
cd build
%make_install

install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/CuraEngine.1

%files
%license LICENSE
%doc README.md
%_bindir/CuraEngine
%_mandir/man1/CuraEngine.1*

%changelog
